Next: STAT, Previous: SQRT, Up: Intrinsic Procedures [Contents][Index]

### 8.233 `SRAND` — Reinitialize the random number generator

Description:

  `SRAND` reinitializes the pseudo-random number generator called by `RAND` and `IRAND`. The new seed used by the generator is specified by the required argument SEED.

Standard:

  GNU extension

Class:

  Subroutine

Syntax:

  `CALL SRAND(SEED)`

Arguments:

  SEED | Shall be a scalar `INTEGER(kind=4)`.

Return value:

  Does not return anything.

Example:

  See `RAND` and `IRAND` for examples.

Notes:

  The Fortran 2003 standard specifies the intrinsic `RANDOM_SEED` to initialize the pseudo-random numbers generator and `RANDOM_NUMBER` to generate pseudo-random numbers. Please note that in GNU Fortran, these two sets of intrinsics (`RAND`, `IRAND` and `SRAND` on the one hand, `RANDOM_NUMBER` and `RANDOM_SEED` on the other hand) access two independent pseudo-random number generators.

See also:

  RAND, RANDOM_SEED, RANDOM_NUMBER